<?php
/*------------------------------------------------------------------------
# mod_jo_newslider - JO News Slider for Joomla 1.6, 1.7, 2.5 Module
# -----------------------------------------------------------------------
# author: http://www.joomcore.com
# copyright Copyright (C) 2012 Joomcore.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomcore.com
# Technical Support:  Forum - http://www.joomcore.com/Support
-------------------------------------------------------------------------*/

defined('_JEXEC') or die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

if (!class_exists( 'VmConfig' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'config.php');
VmConfig::loadConfig();
// Load the language file of com_virtuemart.
JFactory::getLanguage()->load('com_virtuemart');
if (!class_exists( 'calculationHelper' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'calculationh.php');
if (!class_exists( 'CurrencyDisplay' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'currencydisplay.php');
if (!class_exists( 'VirtueMartModelVendor' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'models'.DS.'vendor.php');
if (!class_exists( 'VmImage' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'image.php');
if (!class_exists( 'shopFunctionsF' )) require(JPATH_SITE.DS.'components'.DS.'com_virtuemart'.DS.'helpers'.DS.'shopfunctionsf.php');
if (!class_exists( 'calculationHelper' )) require(JPATH_COMPONENT_SITE.DS.'helpers'.DS.'cart.php');
if (!class_exists( 'VirtueMartModelProduct' )){
   JLoader::import( 'product', JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart' . DS . 'models' );
}

/* Setting */
$total_products = 	trim($params->get( 'total_products', 6 )); //total products to display
$category_id = 		$params->get( 'virtuemart_category_id', null ); // Display products from this category only
$filter_category = 	(bool)$params->get( 'filter_category', 0 ); // Filter the category
$show_price = 			(bool)$params->get( 'show_price', 1 ); // Display the Product Price?
$show_s_desc = 		(bool)$params->get( 'show_s_desc', 1 ); // Display the Product Short DESC?
$show_readmore = 	(bool)$params->get( 'show_readmore', 1 ); // Display the "Product details" Link?
$Product_group = 	$params->get( 'product_group', 'featured'); // Display Products group

/* Document loader */
$document = &JFactory::getDocument();
$document->addStyleSheet(JURI::root().'/modules/mod_jo_vm_products_slideshow/css/style.css');

$mainframe = JFactory::getApplication();
$virtuemart_currency_id = $mainframe->getUserStateFromRequest( "virtuemart_currency_id", 'virtuemart_currency_id',JRequest::getInt('virtuemart_currency_id',0) );

$vendorId = JRequest::getInt('vendorid', 1);

if ($filter_category ) $filter_category = TRUE;

$productModel = new VirtueMartModelProduct();

$products = $productModel->getProductListing($Product_group, $total_products, $show_price, true, false,$filter_category, $category_id);
$productModel->addImages($products);

$totalProd = 		count( $products);
if(empty($products)) return false;
$currency = CurrencyDisplay::getInstance( );

/* load the template */
require(JModuleHelper::getLayoutPath('mod_jo_vm_products_slideshow'));
?>



